Spree Admin SDK
Get a price
Required scope: read_products (for API-key authentication).
GET
Spree Admin SDK
Authorizations
Secret API key for admin access
JWT token for admin user authentication
Path Parameters
Response
price found
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const price = await client.prices.get('price_xxx')spree api get /prices/{id}{
"id": "price_EfhxLZ9ck8",
"amount": "5.0",
"amount_in_cents": 500,
"compare_at_amount": null,
"compare_at_amount_in_cents": null,
"currency": "USD",
"display_amount": "$5.00",
"display_compare_at_amount": null,
"price_list_id": "pl_UkLWZg9DAJ",
"min_quantity": 1,
"variant_id": "variant_gbHJdmfrXB",
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Price not found"
}
}Required scope: read_products (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const price = await client.prices.get('price_xxx')spree api get /prices/{id}{
"id": "price_EfhxLZ9ck8",
"amount": "5.0",
"amount_in_cents": 500,
"compare_at_amount": null,
"compare_at_amount_in_cents": null,
"currency": "USD",
"display_amount": "$5.00",
"display_compare_at_amount": null,
"price_list_id": "pl_UkLWZg9DAJ",
"min_quantity": 1,
"variant_id": "variant_gbHJdmfrXB",
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Price not found"
}
}Secret API key for admin access
JWT token for admin user authentication
price found
Show child attributes
Was this page helpful?
